package message_records

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/message_records"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /message_records/delete message_records DeleteMessageRecords
//
// Delete message records information | 删除MessageRecords信息
//
// Delete message records information | 删除MessageRecords信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDsReq
//
// Responses:
//  200: BaseMsgResp

func DeleteMessageRecordsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDsReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := message_records.NewDeleteMessageRecordsLogic(r.Context(), svcCtx)
		resp, err := l.DeleteMessageRecords(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
